using System;
using static System.Console;

namespace petlja
{
    internal class Program
    {
        static void Main()
        {
            int n = int.Parse(ReadLine());
            int l=int.Parse(ReadLine());
            WriteLine();
            int[] h = new int[n];
            int p = 0;
            for (int i = 0; i < n; i++)
            {
                Write("");
                h[i] = int.Parse(ReadLine());
                if (h[i] >= l) p=i;

            }
            WriteLine();
            if(p==0) WriteLine("-1");
            else WriteLine(p+1);
        }
    }
}